##GetSeveralTracks

> Get Spotify catalog information for multiple tracks based on their Spotify IDs.

**Paramters**  

|Name|Description|Example|
|--------------|-------------------------|-------------------------|
|ids| A list of the Spotify IDs for the tracks. Maximum: 50 IDs. | `new List<String> {"6Y1CLPwYe7zvI8PJiWVz6T"}`
|market| An ISO 3166-1 alpha-2 country code. Provide this parameter if you want to apply Track Relinking. | `"DE"`

Returns a **SeveralTracks** object which has one property, `List<FullTrack> Tracks`

**Usage**  
```cs
SeveralTracks severalTracks = _spotify.GetSeveralTracks(new List<String> {"6Y1CLPwYe7zvI8PJiWVz6T"});
severalTracks.Tracks.ForEach(track => Console.WriteLine(track.Name));
```

---
##GetTrack

> Get Spotify catalog information for a single track identified by its unique Spotify ID.

**Paramters**  

|Name|Description|Example|
|--------------|-------------------------|-------------------------|
|id| The Spotify ID for the track. | `"6Y1CLPwYe7zvI8PJiWVz6T"`
|market| An ISO 3166-1 alpha-2 country code. Provide this parameter if you want to apply Track Relinking. | `"DE"`

Returns a [FullTrack](https://developer.spotify.com/web-api/object-model/#track-object-full)

**Usage**  
```cs
FullTrack track = _spotify.GetTrack("6Y1CLPwYe7zvI8PJiWVz6T");
Console.WriteLine(track.Name);
```

---
